Closed Bug 984944 Opened 8 years ago Closed 8 years ago

Disable deja-dup-monitor and jockey-gtk services from autostarting on Linux ubuntu slaves

Categories

(Infrastructure & Operations Graveyard :: CIDuty, task)

All
Linux
task
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: jmaher, Assigned: armenzg)

References

Details

Attachments

(2 files)

in my quest for turning on the latency talos tests, I found that they were failing, a common trend was that the screenshot was showing nothing (either a blank screen or some *tear* across the background with no borders, bars, etc.)  For working tests a screenshot showed something.

After fiddling with this on a loaner slave, I found that examining the system between vnc in and non vnc in as well as fresh reboot vs waiting 10 minutes after a reboot, I came up with two changes:
cat deja-dup-monitor.desktop 
[Desktop Entry]
Version=1.0
X-Ubuntu-Gettext-Domain=deja-dup

Name=Backup Monitor
Comment=Schedules backups at regular intervals

Icon=deja-dup
TryExec=/usr/lib/deja-dup/deja-dup/deja-dup-monitor
Exec=/usr/lib/deja-dup/deja-dup/deja-dup-monitor

#X-GNOME-Autostart-Delay=120
X-GNOME-Autostart-enabled=false

StartupNotify=false
NoDisplay=true

Type=Application
Categories=System;Utility;Archiving;
[root@talos-linux32-ix-001.test.releng.scl3.mozilla.com autostart]# cat jockey-gtk.desktop 
[Desktop Entry]
Name=Check for new hardware drivers
Comment=Notify about new hardware drivers available for the system
Icon=jockey
Exec=sh -c "test -e /var/cache/jockey/check || exec jockey-gtk --check"
Terminal=false
Type=Application
Categories=System;Settings;GTK;HardwareSettings;
NotShowIn=KDE;
X-Ubuntu-Gettext-Domain=jockey
#X-GNOME-Autostart-Delay=60
X-GNOME-Autostart-enabled=false
NoDisplay=true
[root@talos-linux32-ix-001.test.releng.scl3.mozilla.com autostart]# pwd
/etc/xdg/autostart


you can see that I commented out 'X-GNOME-Autostart-Delay=...', and added a new line to the two files: 'X-GNOME-Autostart-enabled=false'
Assignee: nobody → armenzg
I'm going to look into this today.
Is under modules the right place?

This patch does nothing since it deploys the same files which are across all Ubuntu machines (ec2 32/64-bit & ix 32/64-bit).
Attachment #8396487 - Flags: review?(dustin)
Notice: /Stage[main]/Gui/File[/etc/xdg/autostart/deja-dup-monitor.desktop]/content: 
--- /etc/xdg/autostart/deja-dup-monitor.desktop	2012-04-10 14:18:31.000000000 -0700
+++ /tmp/puppet-file20140325-3635-bfb5z4-0	2014-03-25 09:45:05.491750457 -0700
@@ -9,7 +9,7 @@
 TryExec=/usr/lib/deja-dup/deja-dup/deja-dup-monitor
 Exec=/usr/lib/deja-dup/deja-dup/deja-dup-monitor
 
-X-GNOME-Autostart-Delay=120
+X-GNOME-Autostart-enabled=false
 
 StartupNotify=false
 NoDisplay=true

Notice: /Stage[main]/Gui/File[/etc/xdg/autostart/deja-dup-monitor.desktop]/content: content changed '{md5}eef5eae3ead65052b6c84e1a81dd8d07' to '{md5}c2cc9266bb3a8d3ae85ff4c734fe35b2'
Notice: /Stage[main]/Gui/File[/etc/xdg/autostart/jockey-gtk.desktop]/content: 
--- /etc/xdg/autostart/jockey-gtk.desktop	2012-04-12 00:35:56.000000000 -0700
+++ /tmp/puppet-file20140325-3635-1atqmpv-0	2014-03-25 09:45:05.631750452 -0700
@@ -8,5 +8,5 @@
 Categories=System;Settings;GTK;HardwareSettings;
 NotShowIn=KDE;
 X-Ubuntu-Gettext-Domain=jockey
-X-GNOME-Autostart-Delay=60
+X-GNOME-Autostart-enabled=false
 NoDisplay=true

Notice: /Stage[main]/Gui/File[/etc/xdg/autostart/jockey-gtk.desktop]/content: content changed '{md5}4a3339397905f3f03863d4d3469e9f22' to '{md5}b1de1549c5f8f1c7e7bc2f1be7e1f0a6'
Notice: Finished catalog run in 10.29 seconds
[root@talos-linux64-ix-002.test.releng.scl3.mozilla.com ~]#
Backing out also works:

Notice: /Stage[main]/Gui/File[/etc/xdg/autostart/deja-dup-monitor.desktop]/content: 
--- /etc/xdg/autostart/deja-dup-monitor.desktop	2014-03-25 09:45:05.527750455 -0700
+++ /tmp/puppet-file20140325-4339-1dhte52-0	2014-03-25 09:47:01.435747459 -0700
@@ -9,7 +9,7 @@
 TryExec=/usr/lib/deja-dup/deja-dup/deja-dup-monitor
 Exec=/usr/lib/deja-dup/deja-dup/deja-dup-monitor
 
-X-GNOME-Autostart-enabled=false
+X-GNOME-Autostart-enabled=120
 
 StartupNotify=false
 NoDisplay=true

Notice: /Stage[main]/Gui/File[/etc/xdg/autostart/deja-dup-monitor.desktop]/content: content changed '{md5}c2cc9266bb3a8d3ae85ff4c734fe35b2' to '{md5}22597e4a4fd1c7ffc7d9e49e27a1238b'
Notice: /Stage[main]/Gui/File[/etc/xdg/autostart/jockey-gtk.desktop]/content: 
--- /etc/xdg/autostart/jockey-gtk.desktop	2014-03-25 09:45:05.659750453 -0700
+++ /tmp/puppet-file20140325-4339-1wh85i7-0	2014-03-25 09:47:01.559747456 -0700
@@ -8,5 +8,5 @@
 Categories=System;Settings;GTK;HardwareSettings;
 NotShowIn=KDE;
 X-Ubuntu-Gettext-Domain=jockey
-X-GNOME-Autostart-enabled=false
+X-GNOME-Autostart-enabled=60
 NoDisplay=true

Notice: /Stage[main]/Gui/File[/etc/xdg/autostart/jockey-gtk.desktop]/content: content changed '{md5}b1de1549c5f8f1c7e7bc2f1be7e1f0a6' to '{md5}9fda176253af6b755b9323119abb7817'
Notice: Finished catalog run in 10.36 seconds
Attachment #8396487 - Flags: review?(dustin) → review+
Looks good to me.  Can you include a comment in the config files as to why this is disabled?

From what i understand from comment 0, these apps are auto-starting and obscuring the tests?  I don't see how that's related to the blank or torn displays, though.
Attachment #8396539 - Flags: review?(dustin) → review+
Thanks dustin!
I will deploy this in the morning.
Comment on attachment 8396487 [details] [diff] [review]
(no-op) track deja-dup-monitor.desktop and jockey-gtk.desktop

This patch was deployed yesterday without any consequences.
Attachment #8396487 - Flags: checked-in+
Comment on attachment 8396539 [details] [diff] [review]
disable auto-start for deja-dup-monitor and jockey-gtk on Linux machines

Deployed:
https://hg.mozilla.org/build/puppet/rev/896813d056ae
Attachment #8396539 - Flags: checked-in+
Tomcat: FYI we have *just* deployed a change to the Linux test machines (tst-linux{32,64} and talos-linux{32,64}) to prevent auto-starting a couple of services.
If you see any issues in the next 2 hours we can roll this back easily.
Summary: disable deja-dup-monitor and jockey-gtk services from autostarting on linux ubuntu hardware slaves → Disable deja-dup-monitor and jockey-gtk services from autostarting on Linux ubuntu slaves
Unless an issue raises up we're done in here.
Status: NEW → RESOLVED
Closed: 8 years ago
Resolution: --- → FIXED
this has made a difference, I am seeing more green tests!  Thanks for doing this- a big step in the right direction.
Component: Platform Support → Buildduty
Product: Release Engineering → Infrastructure & Operations
Product: Infrastructure & Operations → Infrastructure & Operations Graveyard
You need to log in before you can comment on or make changes to this bug.